import Vue from 'vue';
import { IWebComponentInstance } from '../../fx';
import { SettingsService } from '../../fx/services';
export declare type WebComponentDefinition = {
    id: string;
    name: string;
    icon?: {
        fontAwesome?: string;
        html?: string;
    };
};
export declare class OmniaWPContainerComponent extends Vue implements IWebComponentInstance {
    webpartid: string;
    displaymode: any;
    private loc;
    private localizationService;
    protected settingsService: SettingsService<any>;
    private spfxSettingsService;
    private webComponents;
    private settingsOpen;
    private wpProxy;
    private settings;
    private selectedComponentTag;
    private _displayMode;
    created(): void;
    mounted(): void;
    destroyed(): void;
    private openSettings();
    private saveComponentSettings(value);
    private onSelectComponentChanged(componentTag);
    private onDisplayModeChanged(mode);
    private init();
    private subcribeMessage(msg);
    private saveSettings();
    private closeSettings();
    private readonly renderComponent;
    private buildDomProps();
    render(h: any): JSX.Element;
}
